GET /image/{id}/{region}/{size}/{rotation}/{quality}.{format}
ac.uk:digital-bodleian-iiif-api
Summary: Get image tile or region
Operation ID: getImage
Auth: none
Operation ID: getImage
Auth: none
Description
Returns a specific region, size, and quality of an image following IIIF Image API parameters. Supports full image, regions by pixels or percentage, and various sizes.
Parameters (6)
format
(string, path, required)
Image format (jpg, png, webp)
Constraints: {'enum': ['jpg', 'png', 'webp']}
id
(string, path, required)
Image UUID identifier
quality
(string, path, required)
Image quality (default, color, gray, bitonal)
Constraints: {'enum': ['default', 'color', 'gray', 'bitonal']}
region
(string, path, required)
Region of image (e.g., 'full', 'x,y,w,h' for pixel region, 'pct:x,y,w,h' for percentage)
rotation
(string, path, required)
Rotation angle (0, 90, 180, 270)
size
(string, path, required)
Size of returned image (e.g., 'full', 'w,h', '!w,h' for best fit, 'pct:n' for percentage)
No probe data for this endpoint yet.